<?xml version="1.0" encoding="UTF-8"?>

<!-- generated on Mon Jun  8 08:32:10 2020 by Eclipse SUMO netedit Version 1.5.0
<configuration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://sumo.dlr.de/xsd/netconvertConfiguration.xsd">

    <input>
        <sumo-net-file value="vissim/1438-tsc-long.net.xml"/>
    </input>

    <output>
        <output-file value="/Users/Milan/Programming/Dissertation/scenarios/1438/vissim/1438-tsc-long-mod.net.xml"/>
    </output>

    <processing>
        <geometry.min-radius.fix.railways value="false"/>
        <geometry.max-grade.fix value="false"/>
        <offset.disable-normalization value="true"/>
        <lefthand value="false"/>
    </processing>

    <junctions>
        <no-turnarounds value="true"/>
        <junctions.corner-detail value="5"/>
        <junctions.limit-turn-speed value="5.5"/>
        <rectangular-lane-cut value="false"/>
    </junctions>

    <pedestrian>
        <walkingareas value="false"/>
    </pedestrian>

    <report>
        <aggregate-warnings value="5"/>
    </report>

</configuration>
-->

<net version="1.3" junctionCornerDetail="5" limitTurnSpeed="5.50" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://sumo.dlr.de/xsd/net_file.xsd">

    <location netOffset="-44.12,109.57" convBoundary="-100.00,-100.00,213.59,165.28" origBoundary="44.12,-109.57,157.71,-44.29" projParameter="!"/>

    <edge id=":0_0" function="internal">
        <lane id=":0_0_0" index="0" speed="13.89" length="33.42" width="3.25" shape="59.76,50.35 55.90,45.86 49.52,42.83 40.63,41.27 29.22,41.16"/>
    </edge>
    <edge id=":0_1" function="internal">
        <lane id=":0_1_0" index="0" speed="13.89" length="29.44" width="3.25" shape="59.76,50.35 57.12,44.87 53.54,36.81 50.50,28.66 49.47,22.91"/>
    </edge>
    <edge id=":0_2" function="internal">
        <lane id=":0_2_0" index="0" speed="12.05" length="8.83" width="3.25" shape="59.76,50.35 58.19,41.66"/>
    </edge>
    <edge id=":0_14" function="internal">
        <lane id=":0_14_0" index="0" speed="12.05" length="36.52" width="3.25" shape="58.19,41.66 57.84,39.68 63.62,33.28 74.80,30.17 89.06,29.34"/>
    </edge>
    <edge id=":0_3" function="internal">
        <lane id=":0_3_0" index="0" speed="10.08" length="31.51" width="3.25" shape="89.06,39.01 75.87,39.61 67.15,41.41 62.91,44.41 63.14,48.61"/>
    </edge>
    <edge id=":0_4" function="internal">
        <lane id=":0_4_0" index="0" speed="13.89" length="59.96" width="3.25" shape="89.06,39.01 29.22,41.16"/>
        <lane id=":0_4_1" index="1" speed="13.89" length="59.96" width="3.25" shape="89.06,35.76 29.06,37.92"/>
    </edge>
    <edge id=":0_6" function="internal">
        <lane id=":0_6_0" index="0" speed="13.33" length="18.98" width="3.25" shape="89.06,35.76 72.93,35.25 70.12,34.84"/>
    </edge>
    <edge id=":0_15" function="internal">
        <lane id=":0_15_0" index="0" speed="13.33" length="26.22" width="3.25" shape="70.12,34.84 60.08,33.35 51.83,29.44 49.47,22.91"/>
    </edge>
    <edge id=":0_7" function="internal">
        <lane id=":0_7_0" index="0" speed="12.02" length="36.23" width="3.25" shape="54.41,23.54 56.33,26.08 62.74,27.89 73.65,28.98 89.06,29.34"/>
    </edge>
    <edge id=":0_8" function="internal">
        <lane id=":0_8_0" index="0" speed="13.89" length="26.69" width="3.25" shape="54.41,23.54 55.21,28.93 57.70,36.27 60.73,43.52 63.14,48.61"/>
    </edge>
    <edge id=":0_9" function="internal">
        <lane id=":0_9_0" index="0" speed="12.90" length="6.24" width="3.25" shape="54.41,23.54 52.54,29.50"/>
    </edge>
    <edge id=":0_16" function="internal">
        <lane id=":0_16_0" index="0" speed="12.90" length="27.50" width="3.25" shape="52.54,29.50 52.13,30.82 47.17,36.18 39.53,39.63 29.22,41.16"/>
    </edge>
    <edge id=":0_10" function="internal">
        <lane id=":0_10_0" index="0" speed="10.94" length="23.77" width="3.25" shape="28.73,31.31 37.45,30.42 43.81,28.73 47.82,26.23 49.47,22.91"/>
    </edge>
    <edge id=":0_11" function="internal">
        <lane id=":0_11_0" index="0" speed="13.89" length="60.28" width="3.25" shape="28.73,31.31 89.06,29.34"/>
        <lane id=":0_11_1" index="1" speed="13.89" length="60.28" width="3.25" shape="28.89,34.55 89.06,32.59"/>
    </edge>
    <edge id=":0_13" function="internal">
        <lane id=":0_13_0" index="0" speed="13.89" length="15.26" width="3.25" shape="28.89,34.55 40.92,34.95 44.05,35.75"/>
    </edge>
    <edge id=":0_17" function="internal">
        <lane id=":0_17_0" index="0" speed="13.89" length="23.85" width="3.25" shape="44.05,35.75 50.63,37.43 58.04,41.98 63.14,48.61"/>
    </edge>

    <edge id="1" from="1-begin" to="0" priority="-1" type="1" spreadType="center" shape="117.17,165.28 59.61,50.04">
        <lane id="1_0" index="0" speed="13.89" length="128.47" width="3.25" shape="117.17,165.28 59.76,50.35"/>
    </edge>
    <edge id="2" from="0" to="2-end" priority="-1" type="1" spreadType="center" shape="63.14,48.61 122.44,163.84">
        <lane id="2_0" index="0" speed="13.89" length="129.59" width="3.25" shape="63.14,48.61 122.44,163.84"/>
    </edge>
    <edge id="3" from="3-begin" to="0" priority="-1" type="1" spreadType="center" shape="213.40,37.38 88.88,37.38">
        <lane id="3_0" index="0" speed="13.89" length="124.34" width="3.25" shape="213.40,39.01 89.06,39.01"/>
        <lane id="3_1" index="1" speed="13.89" length="124.34" width="3.25" shape="213.40,35.76 89.06,35.76"/>
    </edge>
    <edge id="4" from="0" to="4-end" priority="-1" type="1" spreadType="center" shape="89.06,30.97 213.59,30.97">
        <lane id="4_0" index="0" speed="13.89" length="124.53" width="3.25" shape="89.06,29.34 213.59,29.34"/>
        <lane id="4_1" index="1" speed="13.89" length="124.53" width="3.25" shape="89.06,32.59 213.59,32.59"/>
    </edge>
    <edge id="5" from="5-begin" to="0" priority="-1" type="1" spreadType="center" shape="68.53,-100.00 54.95,18.81">
        <lane id="5_0" index="0" speed="13.89" length="124.35" width="3.25" shape="68.53,-100.00 54.41,23.54"/>
    </edge>
    <edge id="6" from="0" to="6-end" priority="-1" type="1" spreadType="center" shape="49.08,25.98 64.12,-92.57">
        <lane id="6_0" index="0" speed="13.89" length="116.41" width="3.25" shape="49.47,22.91 64.12,-92.57"/>
    </edge>
    <edge id="7" from="7-begin" to="0" priority="-1" type="1" spreadType="center" shape="-100.00,39.16 28.81,32.93">
        <lane id="7_0" index="0" speed="13.89" length="128.96" width="3.25" shape="-100.08,37.54 28.73,31.31"/>
        <lane id="7_1" index="1" speed="13.89" length="128.96" width="3.25" shape="-99.92,40.78 28.89,34.55"/>
    </edge>
    <edge id="8" from="0" to="8-end" priority="-1" type="1" spreadType="center" shape="29.14,39.54 -99.67,45.92">
        <lane id="8_0" index="0" speed="13.89" length="128.97" width="3.25" shape="29.22,41.16 -99.59,47.54"/>
        <lane id="8_1" index="1" speed="13.89" length="128.97" width="3.25" shape="29.06,37.92 -99.75,44.30"/>
    </edge>

    <tlLogic id="0" type="static" programID="0" offset="0">
        <phase duration="42" state="rrrGGGgrrrGGGg"/>
        <phase duration="3"  state="rrryyyyrrryyyy"/>
        <phase duration="42" state="GGgrrrrGGgrrrr"/>
        <phase duration="3"  state="yyyrrrryyyrrrr"/>
    </tlLogic>

    <junction id="0" type="traffic_light" x="55.56" y="34.83" incLanes="1_0 3_0 3_1 5_0 7_0 7_1" intLanes=":0_0_0 :0_1_0 :0_14_0 :0_3_0 :0_4_0 :0_4_1 :0_15_0 :0_7_0 :0_8_0 :0_16_0 :0_10_0 :0_11_0 :0_11_1 :0_17_0" shape="58.32,51.09 64.58,47.87 64.34,45.24 66.40,43.31 70.34,41.99 75.72,41.17 82.11,40.75 89.06,40.63 89.06,27.72 80.17,27.66 72.19,27.43 65.47,26.97 60.31,26.25 57.05,25.19 56.02,23.75 47.86,22.71 47.11,24.59 45.38,26.19 42.67,27.49 38.98,28.51 34.31,29.24 28.65,29.68 29.30,42.79 36.85,42.68 43.31,43.17 48.69,44.26 52.98,45.94 56.19,48.22">
        <request index="0"  response="00000000000000" foes="00001000110000" cont="0"/>
        <request index="1"  response="10010001000000" foes="11111001110000" cont="0"/>
        <request index="2"  response="11100111000000" foes="11100111110000" cont="1"/>
        <request index="3"  response="00000000000000" foes="10000100000000" cont="0"/>
        <request index="4"  response="00001100000111" foes="10001100000111" cont="0"/>
        <request index="5"  response="00001100000111" foes="10001100000111" cont="0"/>
        <request index="6"  response="01111000000110" foes="01111100000110" cont="1"/>
        <request index="7"  response="00000000000000" foes="01100000000100" cont="0"/>
        <request index="8"  response="10000001001000" foes="11100001111100" cont="0"/>
        <request index="9"  response="10000001110011" foes="11100001110011" cont="1"/>
        <request index="10" response="00000000000000" foes="00000001000010" cont="0"/>
        <request index="11" response="00001110000110" foes="00001111000110" cont="0"/>
        <request index="12" response="00001110000110" foes="00001111000110" cont="0"/>
        <request index="13" response="00001100111100" foes="00001100111110" cont="1"/>
    </junction>
    <junction id="1-begin" type="dead_end" x="117.17" y="165.28" incLanes="" intLanes="" shape="118.62,164.55 115.72,166.01"/>
    <junction id="10-DestinationNode" type="dead_end" x="54.40" y="45.76" incLanes="" intLanes="" shape="54.40,45.76"/>
    <junction id="11-DestinationNode" type="dead_end" x="84.93" y="26.66" incLanes="" intLanes="" shape="84.93,26.66"/>
    <junction id="12-DestinationNode" type="dead_end" x="84.93" y="41.76" incLanes="" intLanes="" shape="84.93,41.76"/>
    <junction id="13-DestinationNode" type="dead_end" x="61.16" y="23.59" incLanes="" intLanes="" shape="61.16,23.59"/>
    <junction id="14-DestinationNode" type="dead_end" x="43.69" y="24.12" incLanes="" intLanes="" shape="43.69,24.12"/>
    <junction id="15-DestinationNode" type="dead_end" x="34.74" y="43.42" incLanes="" intLanes="" shape="34.74,43.42"/>
    <junction id="16-DestinationNode" type="dead_end" x="33.92" y="28.09" incLanes="" intLanes="" shape="33.92,28.09"/>
    <junction id="2-end" type="dead_end" x="122.44" y="163.84" incLanes="2_0" intLanes="" shape="123.88,163.10 121.00,164.58"/>
    <junction id="3-begin" type="dead_end" x="213.40" y="37.38" incLanes="" intLanes="" shape="213.40,34.13 213.40,40.63"/>
    <junction id="4-end" type="dead_end" x="213.59" y="30.97" incLanes="4_0 4_1" intLanes="" shape="213.59,27.72 213.59,34.22"/>
    <junction id="5-begin" type="dead_end" x="68.53" y="-100.00" incLanes="" intLanes="" shape="66.92,-100.18 70.14,-99.82"/>
    <junction id="6-end" type="dead_end" x="64.12" y="-92.57" incLanes="6_0" intLanes="" shape="62.51,-92.77 65.73,-92.37"/>
    <junction id="7-begin" type="dead_end" x="-100.00" y="39.16" incLanes="" intLanes="" shape="-99.84,42.41 -100.16,35.91"/>
    <junction id="8-end" type="dead_end" x="-99.67" y="45.92" incLanes="8_0 8_1" intLanes="" shape="-99.51,49.17 -99.83,42.67"/>
    <junction id="9-DestinationNode" type="dead_end" x="69.02" y="45.76" incLanes="" intLanes="" shape="69.02,45.76"/>

    <junction id=":0_14_0" type="internal" x="58.19" y="41.66" incLanes=":0_2_0 5_0" intLanes=":0_4_0 :0_4_1 :0_6_0 :0_7_0 :0_8_0 :0_11_0 :0_11_1 :0_13_0"/>
    <junction id=":0_15_0" type="internal" x="70.12" y="34.84" incLanes=":0_6_0 7_0 7_1" intLanes=":0_1_0 :0_2_0 :0_8_0 :0_9_0 :0_10_0 :0_11_0 :0_11_1"/>
    <junction id=":0_16_0" type="internal" x="52.54" y="29.50" incLanes=":0_9_0 1_0" intLanes=":0_0_0 :0_1_0 :0_4_0 :0_4_1 :0_6_0 :0_11_0 :0_11_1 :0_13_0"/>
    <junction id=":0_17_0" type="internal" x="44.05" y="35.75" incLanes=":0_13_0 3_0 3_1" intLanes=":0_1_0 :0_2_0 :0_3_0 :0_4_0 :0_4_1 :0_8_0 :0_9_0"/>

    <connection from="1" to="8" fromLane="0" toLane="0" via=":0_0_0" tl="0" linkIndex="0" dir="r" state="O"/>
    <connection from="1" to="6" fromLane="0" toLane="0" via=":0_1_0" tl="0" linkIndex="1" dir="s" state="o"/>
    <connection from="1" to="4" fromLane="0" toLane="0" via=":0_2_0" tl="0" linkIndex="2" dir="l" state="o"/>
    <connection from="3" to="2" fromLane="0" toLane="0" via=":0_3_0" tl="0" linkIndex="3" dir="r" state="O"/>
    <connection from="3" to="8" fromLane="0" toLane="0" via=":0_4_0" tl="0" linkIndex="4" dir="s" state="o"/>
    <connection from="3" to="8" fromLane="1" toLane="1" via=":0_4_1" tl="0" linkIndex="5" dir="s" state="o"/>
    <connection from="3" to="6" fromLane="1" toLane="0" via=":0_6_0" tl="0" linkIndex="6" dir="l" state="o"/>
    <connection from="5" to="4" fromLane="0" toLane="0" via=":0_7_0" tl="0" linkIndex="7" dir="r" state="O"/>
    <connection from="5" to="2" fromLane="0" toLane="0" via=":0_8_0" tl="0" linkIndex="8" dir="s" state="o"/>
    <connection from="5" to="8" fromLane="0" toLane="0" via=":0_9_0" tl="0" linkIndex="9" dir="l" state="o"/>
    <connection from="7" to="6" fromLane="0" toLane="0" via=":0_10_0" tl="0" linkIndex="10" dir="r" state="O"/>
    <connection from="7" to="4" fromLane="0" toLane="0" via=":0_11_0" tl="0" linkIndex="11" dir="s" state="o"/>
    <connection from="7" to="4" fromLane="1" toLane="1" via=":0_11_1" tl="0" linkIndex="12" dir="s" state="o"/>
    <connection from="7" to="2" fromLane="1" toLane="0" via=":0_13_0" tl="0" linkIndex="13" dir="l" state="o"/>

    <connection from=":0_0" to="8" fromLane="0" toLane="0" dir="r" state="M"/>
    <connection from=":0_1" to="6" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":0_2" to="4" fromLane="0" toLane="0" via=":0_14_0" dir="l" state="m"/>
    <connection from=":0_14" to="4" fromLane="0" toLane="0" dir="l" state="M"/>
    <connection from=":0_3" to="2" fromLane="0" toLane="0" dir="r" state="M"/>
    <connection from=":0_4" to="8" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":0_4" to="8" fromLane="1" toLane="1" dir="s" state="M"/>
    <connection from=":0_6" to="6" fromLane="0" toLane="0" via=":0_15_0" dir="l" state="m"/>
    <connection from=":0_15" to="6" fromLane="0" toLane="0" dir="l" state="M"/>
    <connection from=":0_7" to="4" fromLane="0" toLane="0" dir="r" state="M"/>
    <connection from=":0_8" to="2" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":0_9" to="8" fromLane="0" toLane="0" via=":0_16_0" dir="l" state="m"/>
    <connection from=":0_16" to="8" fromLane="0" toLane="0" dir="l" state="M"/>
    <connection from=":0_10" to="6" fromLane="0" toLane="0" dir="r" state="M"/>
    <connection from=":0_11" to="4" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":0_11" to="4" fromLane="1" toLane="1" dir="s" state="M"/>
    <connection from=":0_13" to="2" fromLane="0" toLane="0" via=":0_17_0" dir="l" state="m"/>
    <connection from=":0_17" to="2" fromLane="0" toLane="0" dir="l" state="M"/>

    <prohibition prohibitor="5->2" prohibited="1->4"/>
    <prohibition prohibitor="5->4" prohibited="1->4"/>
    <prohibition prohibitor="7->2" prohibited="1->4"/>
    <prohibition prohibitor="7->4" prohibited="1->4"/>
    <prohibition prohibitor="7->2" prohibited="1->4"/>
    <prohibition prohibitor="7->6" prohibited="1->6"/>
    <prohibition prohibitor="7->2" prohibited="1->6"/>
    <prohibition prohibitor="1->4" prohibited="3->6"/>
    <prohibition prohibitor="1->4" prohibited="3->6"/>
    <prohibition prohibitor="1->6" prohibited="3->6"/>
    <prohibition prohibitor="7->4" prohibited="3->6"/>
    <prohibition prohibitor="7->6" prohibited="3->6"/>
    <prohibition prohibitor="1->4" prohibited="3->8"/>
    <prohibition prohibitor="1->6" prohibited="3->8"/>
    <prohibition prohibitor="1->8" prohibited="3->8"/>
    <prohibition prohibitor="5->2" prohibited="3->8"/>
    <prohibition prohibitor="3->6" prohibited="5->2"/>
    <prohibition prohibitor="3->2" prohibited="5->2"/>
    <prohibition prohibitor="3->6" prohibited="5->8"/>
    <prohibition prohibitor="1->6" prohibited="5->8"/>
    <prohibition prohibitor="1->8" prohibited="5->8"/>
    <prohibition prohibitor="3->6" prohibited="5->8"/>
    <prohibition prohibitor="3->8" prohibited="5->8"/>
    <prohibition prohibitor="5->8" prohibited="7->2"/>
    <prohibition prohibitor="3->2" prohibited="7->2"/>
    <prohibition prohibitor="3->8" prohibited="7->2"/>
    <prohibition prohibitor="5->2" prohibited="7->2"/>
    <prohibition prohibitor="5->8" prohibited="7->2"/>
    <prohibition prohibitor="5->8" prohibited="7->4"/>
    <prohibition prohibitor="1->6" prohibited="7->4"/>
    <prohibition prohibitor="5->2" prohibited="7->4"/>
    <prohibition prohibitor="5->4" prohibited="7->4"/>
</net>
